Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.util
Class DateTool

    java.lang.Object
      |
      +--org.apache.catalina.util.DateTool

public class DateTool
extends java.lang.Object

Common place for date utils.

Author:
  dac@eng.sun.com, Jason Hunter [jch@eng.sun.com], James Todd [gonzo@eng.sun.com], Costin Manolache

Field Summary
`static java.text.DateFormat` | `asctimeFormat`
`static java.util.TimeZone` | `GMT_ZONE` GMT timezone - all HTTP dates are on GMT
`static java.util.Locale` | `LOCALE_US` US locale - all HTTP dates are in english
`static java.lang.String` | `OLD_COOKIE_PATTERN` Pattern used for old cookies
`static java.text.DateFormat` | `oldCookieFormat` DateFormat to be used to format old netscape cookies
`static java.text.DateFormat` | `rfc1036Format`
`static java.lang.String` | `RFC1123_PATTERN` format for RFC 1123 date string -- "Sun, 06 Nov 1994 08:49:37 GMT"
`static java.text.DateFormat` | `rfc1123Format` DateFormat to be used to format dates

Constructor Summary
`DateTool()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOCALE_US

    public static final java.util.Locale LOCALE_US

  US locale - all HTTP dates are in english

### GMT_ZONE

    public static final java.util.TimeZone GMT_ZONE

  GMT timezone - all HTTP dates are on GMT

### RFC1123_PATTERN

    public static final java.lang.String RFC1123_PATTERN

  format for RFC 1123 date string -- "Sun, 06 Nov 1994 08:49:37 GMT"

### OLD_COOKIE_PATTERN

    public static final java.lang.String OLD_COOKIE_PATTERN

  Pattern used for old cookies

### rfc1123Format

    public static final java.text.DateFormat rfc1123Format

  DateFormat to be used to format dates

### oldCookieFormat

    public static final java.text.DateFormat oldCookieFormat

  DateFormat to be used to format old netscape cookies

### rfc1036Format

    public static final java.text.DateFormat rfc1036Format

### asctimeFormat

    public static final java.text.DateFormat asctimeFormat

Constructor Detail

### DateTool

    public DateTool()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 Apache Software Foundation. All Rights Reserved.